%define major     2
%define libname   %mklibname xmlb %major
%define devname   %mklibname xmlb -d

%define gir_major 2.0
%define girname   %mklibname xmlb-gir %{gir_major}

%global glib2_version 2.45.8

Summary:   Library for querying compressed XML metadata
Name:      libxmlb
Group:     System/Libraries
Version:   0.3.10
Release:   %mkrel 2
License:   LGPLv2+
URL:       https://github.com/hughsie/libxmlb
Source0:   http://people.freedesktop.org/~hughsient/releases/%{name}-%{version}.tar.xz

BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: gtk-doc
BuildRequires: libstemmer-devel
BuildRequires: meson
BuildRequires: gobject-introspection-devel

# needed for the self tests
BuildRequires: shared-mime-info

Requires:      shared-mime-info

%description
XML is slow to parse and strings inside the document cannot be memory mapped as
they do not have a trailing NUL char. The libxmlb library takes XML source, and
converts it to a structured binary representation with a deduplicated string
table -- where the strings have the NULs included.

This allows an application to mmap the binary XML file, do an XPath query and
return some strings without actually parsing the entire document. This is all
done using (almost) zero allocations and no actual copying of the binary data.

%package -n %{libname}
Summary: Library for querying compressed XML metadata
Group: System/Libraries

%description -n %{libname}
XML is slow to parse and strings inside the document cannot be memory mapped as
they do not have a trailing NUL char. The libxmlb library takes XML source, and
converts it to a structured binary representation with a deduplicated string
table -- where the strings have the NULs included.

This allows an application to mmap the binary XML file, do an XPath query and
return some strings without actually parsing the entire document. This is all
done using (almost) zero allocations and no actual copying of the binary data.

%package -n %{devname}
Group: Development/Libraries
Summary: Development package for %{name}
Requires: %{libname} = %{version}-%{release}
Provides: libxmlb-devel = %{version}-%{release}

%description -n %{devname}
Files for development with %{name}.

%prep
%setup -q

%build
%meson \
    -Dgtkdoc=false \
    -Dtests=false

%meson_build


%install
rm -rf %buildroot
%meson_install

%files
%{_bindir}/xb-tool
%{_mandir}/man1/xb-tool.1*

%files -n %{libname}
%{_libdir}/libxmlb.so.%{major}*
%{_libdir}/girepository-1.0/Xmlb-%{gir_major}.typelib

%files -n %{devname}
%{_datadir}/gir-1.0/Xmlb-%{gir_major}.gir
%{_includedir}/libxmlb-2/
%{_libdir}/libxmlb.so
%{_libdir}/pkgconfig/xmlb.pc

%changelog
* Wed Aug 02 2023 tex - 0.3.10-2pclos2023
- rebuild against updates

* Tue Sep 27 2022 tex - 0.3.10-1pclos2022
- new version

* Mon Aug 29 2022 tex - 0.3.6-1pclos2022
- new version

* Wed Jan 26 2022 tex - 0.3.2-2pclos2022
- rebuild against updates

* Mon Jun 07 2021 tex - 0.3.2-1pclos2021
- new version
